Name:           wmcube
Version:        0.98
Release:        3%{?dist}
Summary:        Dockapp with a rotating 3d-object and the current CPU load
Summary(de):    Dockapp mit einem drehenden 3D-Objekt und der aktuellen CPU-Last 

License:        GPLv2
# Original homepage doesn't exist anymore, we use the pool at dockapps.org.
URL:            http://www.dockapps.org/file.php/id/162
Source0:        http://www.dockapps.org/download.php/id/222/%{name}-%{version}.tar.gz
# The manpage is taken from the Debian package
Source1:        %{name}.1
# Original COPYING includes an incorrect FSF address.
Source2:        %{name}-gpl-2.0.txt

BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel

%description
wmCube is a dockapp that displays a realtime rotating 3d-object 
and the current CPU load.

%description -l de
wmCube ist ein Dockapp, welches ein in Echtzeit drehendes 3D-Objekt
und die aktuelle Prozessorlast anzeigt.

%prep
%setup -q -n %{name}
cd 3dObjects/
  iconv -f iso-8859-1 -t utf8 CONTRIBUTE > CONTRIBUTE.new
  touch -r CONTRIBUTE CONTRIBUTE.new
  mv CONTRIBUTE.new CONTRIBUTE

%build
cd %{name}
make CFLAGS='%{optflags}' %{?_smp_mflags}
mv -f ../3dObjects/CONTRIBUTE ../CONTRIBUTE
mv -f ../3dObjects/README ../README.3dObjects
cp -f %{SOURCE2} ../COPYING

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/3dObjects
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 755 %{name}/%{name} %{buildroot}%{_bindir}/
install -p -m 644 3dObjects/* %{buildroot}%{_datadir}/%{name}/3dObjects
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%files
%doc CHANGES CONTRIBUTE COPYING README README.3dObjects TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.98-2
- Moved extra files from 3dObjects/ to %%doc
- Removed %%defattr
- Unpacked manpage, set the permissions to 644
- Consistent use of macros
- New license file
- Converted CONTRIBUTE to utf-8

* Sun Jul 17 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.98-1
- Initial package
